config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
preserve_perms() {
  NEW="$1"
  OLD="$(dirname ${NEW})/$(basename ${NEW} .new)"
  if [ -e ${OLD} ]; then
    cp -a ${OLD} ${NEW}.incoming
    cat ${NEW} > ${NEW}.incoming
    mv ${NEW}.incoming ${NEW}
  fi
  config ${NEW}
}
( cd usr/bin/32 ; rm -rf wsrep_sst_rsync_wan )
( cd usr/bin/32 ; ln -sf wsrep_sst_rsync wsrep_sst_rsync_wan )
( cd usr/lib ; rm -rf libmariadb.so )
( cd usr/lib ; ln -sf libmariadb.so.3 libmariadb.so )
( cd usr/lib ; rm -rf libmariadbd.so )
( cd usr/lib ; ln -sf libmariadbd.so.19 libmariadbd.so )
( cd usr/lib ; rm -rf libmysqlclient.so )
( cd usr/lib ; ln -sf libmariadb.so.3 libmysqlclient.so )
( cd usr/lib ; rm -rf libmysqlclient_r.so )
( cd usr/lib ; ln -sf libmariadb.so.3 libmysqlclient_r.so )
( cd usr/lib ; rm -rf libmysqld.so )
( cd usr/lib ; ln -sf libmariadbd.so.19 libmysqld.so )
